List templates
List document contract templates for a location
GET
/
proposals
/
templates
List templates
curl --request GET \
--url https://services.leadconnectorhq.com/proposals/templates \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', Version: '<version>'}
};
fetch('https://services.leadconnectorhq.com/proposals/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/proposals/templates"
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "685d11c371c22e636e9c04b2",
"deleted": false,
"version": 2,
"name": "New Template",
"locationId": "5rORm9p7RtxWQPzBIbTG",
"type": "proposal",
"updatedBy": "K9PSPnWjfNoE8DCf5LJZ",
"isPublicDocument": true,
"createdAt": "2025-06-26T09:24:19.305Z",
"updatedAt": "2025-06-26T09:27:32.119Z",
"id": "685d11c371c22e636e9c04b2",
"documentCount": 0,
"docFormUrl": "https://sendlink.co/documents/doc-form/685d11c371c22e636e9c04b2?locale=en_US"
}
],
"total": 2,
"traceId": "d5656876-86a5-46fb-84df-788f1da7937a"
}{
"statusCode": 400,
"message": "Bad Request"
}Authorizations
bearerbearer
Access Token or Private Integration Token
Headers
Access Token
Example:
"Bearer 9c48df2694a849b6089f9d0d3513efe"
API Version
Available options:
2021-07-28 Query Parameters
Location Id
Example:
"jhg64gjhb436fv"
Date start from (ISO 8601)
Example:
"2025-02-03T18:30:00.000Z"
Date to (ISO 8601)
Example:
"2025-02-14T18:29:59.999Z"
Comma-separated template types. Valid values: proposal, estimate, contentLibrary
Example:
"proposal,estimate"
Template Name
Example:
"Template Name"
If the docForm is a DocForm
Example:
false
User Id, required when isPublicDocument is true
Example:
"1234567890"
Limit
Example:
"10"
Skip
Example:
"0"
Last modified on March 7, 2026
Was this page helpful?
List templates
curl --request GET \
--url https://services.leadconnectorhq.com/proposals/templates \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', Version: '<version>'}
};
fetch('https://services.leadconnectorhq.com/proposals/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/proposals/templates"
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "685d11c371c22e636e9c04b2",
"deleted": false,
"version": 2,
"name": "New Template",
"locationId": "5rORm9p7RtxWQPzBIbTG",
"type": "proposal",
"updatedBy": "K9PSPnWjfNoE8DCf5LJZ",
"isPublicDocument": true,
"createdAt": "2025-06-26T09:24:19.305Z",
"updatedAt": "2025-06-26T09:27:32.119Z",
"id": "685d11c371c22e636e9c04b2",
"documentCount": 0,
"docFormUrl": "https://sendlink.co/documents/doc-form/685d11c371c22e636e9c04b2?locale=en_US"
}
],
"total": 2,
"traceId": "d5656876-86a5-46fb-84df-788f1da7937a"
}{
"statusCode": 400,
"message": "Bad Request"
}